package eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.help.command;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceCommand;
import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.help.Help;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.event.ClickEvent;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

public class DiscordCommand extends ApplianceCommand<Help> {
    public DiscordCommand() {
        super("discord");
    }

    private final static String discordLink = "https://discord.gg/TXxspGVanq";

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) throws Exception {
        sender.sendMessage(
            Component.text("Offizieller Discord Server: ", NamedTextColor.GOLD)
                .append(Component.text(discordLink, NamedTextColor.AQUA))
                .clickEvent(ClickEvent.openUrl(discordLink))
        );
    }
}
