package eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.report;

import eu.mhsl.craftattack.spawn.core.Main;
import eu.mhsl.craftattack.spawn.core.appliance.ApplianceCommand;
import eu.mhsl.craftattack.spawn.core.util.text.ComponentUtil;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

class ReportsCommand extends ApplianceCommand.PlayerChecked<Report> {
    public ReportsCommand() {
        super("reports");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        sender.sendMessage(ComponentUtil.pleaseWait());
        Bukkit.getScheduler().runTaskAsynchronously(
            Main.instance(),
            () -> this.getAppliance().queryReports(this.getPlayer())
        );
    }
}
