package eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.listeners;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceListener;
import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.Settings;
import org.bukkit.event.EventHandler;
import org.bukkit.event.player.PlayerSwapHandItemsEvent;

public class OpenSettingsShortcutListener extends ApplianceListener<Settings> {
    @EventHandler
    public void onItemSwitch(PlayerSwapHandItemsEvent event) {
        if(!event.getPlayer().isSneaking()) return;
        if(!Settings.instance().getSetting(event.getPlayer(), Settings.Key.EnableSettingsShortcut, Boolean.class))
            return;
        event.setCancelled(true);
        this.getAppliance().openSettings(event.getPlayer());
    }
}
