package eu.mhsl.craftattack.spawn.core.util.entity;

import org.bukkit.Material;
import org.bukkit.Statistic;
import org.bukkit.entity.EntityType;
import org.bukkit.entity.Player;

public class PlayerUtils {
    public static void resetStatistics(Player player) {
        for(Statistic statistic : Statistic.values()) {
            for(Material material : Material.values()) {
                try {
                    player.setStatistic(statistic, material, 0);
                } catch(IllegalArgumentException e) {
                    break;
                }
            }

            for(EntityType entityType : EntityType.values()) {
                try {
                    player.setStatistic(statistic, entityType, 0);
                } catch(IllegalArgumentException e) {
                    break;
                }
            }

            try {
                player.setStatistic(statistic, 0);
            } catch(IllegalArgumentException ignored) {
            }
        }
    }
}
