package eu.mhsl.craftattack.spawn.craftattack.appliances.gameplay.antiSignEdit;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceListener;
import io.papermc.paper.event.player.PlayerOpenSignEvent;
import org.bukkit.block.sign.SignSide;
import org.bukkit.event.EventHandler;

class OnSignEditListener extends ApplianceListener<AntiSignEdit> {
    @EventHandler
    public void onEdit(PlayerOpenSignEvent event) {
        if(event.getCause().equals(PlayerOpenSignEvent.Cause.PLACE)) return;
        SignSide signSide = event.getSign().getSide(event.getSide());
        event.setCancelled(this.getAppliance().preventSignEdit(event.getPlayer(), signSide));
    }
}
