package eu.mhsl.craftattack.spawn.craftattack.appliances.gameplay.autoShulker;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceListener;
import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.Settings;
import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.datatypes.SelectSetting;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.entity.EntityPickupItemEvent;

class ItemPickupListener extends ApplianceListener<AutoShulker> {
    @EventHandler
    public void onPickup(EntityPickupItemEvent event) {
        if(event.getEntity() instanceof Player p) {
            SelectSetting.Options.Option setting = Settings.instance().getSetting(p, Settings.Key.AutoShulker, SelectSetting.Options.Option.class);
            if(setting.is(AutoShulkerSetting.disabled)) return;
            if(setting.is(AutoShulkerSetting.notFromPlayers) && event.getItem().getThrower() != null) return;
            event.setCancelled(this.getAppliance().tryAutoShulker(p, event.getItem()));
        }
    }
}
