package eu.mhsl.craftattack.spawn.craftattack.appliances.gameplay.outlawed;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceCommand;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

class OutlawedCommand extends ApplianceCommand.PlayerChecked<Outlawed> {
    public OutlawedCommand() {
        super("vogelfrei");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) throws Exception {
        try {
            this.getAppliance().switchLawStatus(this.getPlayer());
            sender.sendMessage(
                this.getAppliance()
                    .getStatusDescription(this.getAppliance().getLawStatus(this.getPlayer()))
            );
        } catch(OutlawChangeNotPermitted e) {
            sender.sendMessage(Component.text(e.getMessage(), NamedTextColor.RED));
        }
    }
}
