package eu.mhsl.craftattack.spawn.craftattack.appliances.gameplay.portableCrafting;

import eu.mhsl.craftattack.spawn.core.appliance.Appliance;
import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.Settings;
import org.bukkit.entity.Player;
import org.bukkit.event.Listener;
import org.jetbrains.annotations.NotNull;

import java.util.List;

public class PortableCrafting extends Appliance {
    @Override
    public void onEnable() {
        Settings.instance().declareSetting(PortableCraftingSetting.class);
    }

    public void openFor(Player player) {
        if(!Settings.instance().getSetting(player, Settings.Key.EnablePortableCrafting, Boolean.class)) return;
        player.openWorkbench(null, true);
    }

    @Override
    protected @NotNull List<Listener> listeners() {
        return List.of(new OnCraftingTableUseListener());
    }
}
