package eu.mhsl.craftattack.spawn.craftattack.appliances.gameplay.portableCrafting;

import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.CategorizedSetting;
import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.SettingCategory;
import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.Settings;
import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.datatypes.BoolSetting;
import org.bukkit.Material;

public class PortableCraftingSetting extends BoolSetting implements CategorizedSetting {
    public PortableCraftingSetting() {
        super(Settings.Key.EnablePortableCrafting);
    }

    @Override
    protected String title() {
        return "Portables Crafting";
    }

    @Override
    protected String description() {
        return "Erlaubt das öffnen einer Werkbank in der Hand, ohne sie plazieren zu müssen";
    }

    @Override
    protected Material icon() {
        return Material.CRAFTING_TABLE;
    }

    @Override
    protected Boolean defaultValue() {
        return true;
    }

    @Override
    public SettingCategory category() {
        return SettingCategory.Gameplay;
    }
}
