package eu.mhsl.craftattack.spawn.craftattack.appliances.tooling.spawnpoint;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceCommand;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

class SetSpawnpointCommand extends ApplianceCommand.PlayerChecked<Spawnpoint> {
    public SetSpawnpointCommand() {
        super("setSpawnpoint");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) throws Exception {
        this.getAppliance().setSpawnpoint(this.getPlayer().getLocation());
        sender.sendMessage(Component.text("Spawnpoint updated!", NamedTextColor.GREEN));
    }
}
