package eu.mhsl.craftattack.spawn.varo.appliances.metaGameplay.forbiddenItems;

import java.util.Set;
import java.util.function.Function;

public class ForbiddenGroup<TType> {
    private final Set<Function<TType, Boolean>> forbiddenT;

    public ForbiddenGroup(Set<Function<TType, Boolean>> forbiddenT) {
        this.forbiddenT = forbiddenT;
    }

    public boolean isForbidden(TType value) {
        return this.forbiddenT.stream()
            .anyMatch(test -> test.apply(value));
    }
}
