package eu.mhsl.craftattack.spawn.varo.appliances.tooling.spawnpoint;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceListener;
import org.bukkit.event.EventHandler;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerRespawnEvent;

class SpawnAtSpawnpointListener extends ApplianceListener<Spawnpoint> {
    @EventHandler
    public void onJoin(PlayerJoinEvent event) {
        this.getAppliance().handlePlayerLogin(event.getPlayer());
    }

    @EventHandler
    public void onRespawn(PlayerRespawnEvent event) {
        if(event.isBedSpawn()) return;
        if(event.isAnchorSpawn()) return;
        event.setRespawnLocation(this.getAppliance().getSpawnPoint(event.getPlayer()));
    }
}
