package eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.help.command;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceCommand;
import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.help.Help;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

import java.util.Objects;

public class SpawnCommand extends ApplianceCommand<Help> {
    private static final String spawnKey = "spawn";

    public SpawnCommand() {
        super("spawn");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        if(!this.getAppliance().localConfig().isString(spawnKey))
            throw new ApplianceCommand.Error("Es wurde kein Spawnbereich hinterlegt!");
        sender.sendMessage(Component.text(Objects.requireNonNull(this.getAppliance().localConfig().getString(spawnKey)), NamedTextColor.GOLD));
    }
}
