package eu.mhsl.craftattack.spawn.common.appliances.tooling.chatMute;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceListener;
import eu.mhsl.craftattack.spawn.core.util.text.DataSizeConverter;
import io.papermc.paper.event.player.AsyncChatEvent;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.event.EventHandler;
import org.jetbrains.annotations.Nullable;

class ChatMuteListener extends ApplianceListener<ChatMute> {
    @EventHandler
    public void onChat(AsyncChatEvent event) {
        @Nullable Long muteDuration = this.getAppliance().muteStatus(event.getPlayer());
        if(muteDuration == null) return;
        event.setCancelled(true);
        event.getPlayer().sendMessage(Component.text(
            String.format(
                "Du bist für %s gestummt!",
                DataSizeConverter.formatSecondsToHumanReadable((int) ((muteDuration - System.currentTimeMillis()) / 1000))
            ),
            NamedTextColor.RED
        ));
    }
}
