package eu.mhsl.craftattack.spawn.common.appliances.tooling.playerlimit;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceCommand;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

class SetPlayerLimitCommand extends ApplianceCommand<PlayerLimit> {
    public SetPlayerLimitCommand() {
        super("setPlayerLimit");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        if(args.length == 0) {
            sender.sendMessage(
                Component.text()
                    .append(Component.text("Das aktuelle Spielerlimit beträgt: ", NamedTextColor.GRAY))
                    .append(Component.text(this.getAppliance().getLimit(), NamedTextColor.GOLD))
            );
            return;
        }

        this.getAppliance().setPlayerLimit(Integer.parseInt(args[0]));
    }
}
