package eu.mhsl.craftattack.spawn.core.api.client;

import com.google.gson.Gson;
import java.lang.reflect.Type;

public record ReqResp<TData>(int status, TData data) {
    public ReqResp<?> convertToTypeToken(Type type) {
        var gson = new Gson();
        return new ReqResp<>(this.status, gson.fromJson(gson.toJson(this.data), type));
    }

    @SuppressWarnings("unchecked")
    public <T> T cast() {
        return (T) this;
    }
}