package eu.mhsl.craftattack.spawn.core.util.text;

import eu.mhsl.craftattack.spawn.core.util.NumberUtil;
import net.kyori.adventure.text.format.TextColor;

import java.awt.*;

public class ColorUtil {
    public static TextColor mapGreenToRed(double value, double minValue, double maxValue, boolean lowIsGreen) {
        float hue = (float) NumberUtil.map(value, minValue, maxValue, 0, 120);

        if(lowIsGreen) {
            hue = Math.abs(hue - 120);
        }

        return TextColor.color(Color.getHSBColor(hue / 360, 1f, 1f).getRGB());
    }

    public static TextColor msptColor(float mspt) {
        if(mspt > 50) return TextColor.color(255, 0, 0);
        return ColorUtil.mapGreenToRed(mspt, 25, 60, true);
    }

    public static TextColor tpsColor(float tps) {
        return ColorUtil.mapGreenToRed(tps, 15, 20, false);
    }
}
