package eu.mhsl.craftattack.spawn.craftattack.api;

import eu.mhsl.craftattack.spawn.core.config.Configuration;
import org.bukkit.configuration.ConfigurationSection;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.Objects;

public class EventServerApi {
    private final static ConfigurationSection apiConfig = Objects.requireNonNull(Configuration.cfg.getConfigurationSection("event"));
    public final static String basePath = apiConfig.getString("api");

    public static URI getBaseUri() {
        Objects.requireNonNull(basePath);
        try {
            return new URI(basePath);
        } catch(URISyntaxException e) {
            throw new RuntimeException(e);
        }
    }

}
