package eu.mhsl.craftattack.spawn.craftattack.appliances.gameplay.knockDoor;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceListener;
import org.bukkit.GameMode;
import org.bukkit.block.Block;
import org.bukkit.block.data.type.Door;
import org.bukkit.event.EventHandler;
import org.bukkit.event.block.BlockDamageAbortEvent;

class KnockDoorListener extends ApplianceListener<KnockDoor> {
    @EventHandler
    public void onKnock(BlockDamageAbortEvent event) {
        if(event.getPlayer().getGameMode() != GameMode.SURVIVAL) return;
        Block block = event.getBlock();
        if(!(block.getBlockData() instanceof Door)) return;
        this.getAppliance().knockAtDoor(event.getPlayer(), block);
    }
}
