package eu.mhsl.craftattack.spawn.craftattack.appliances.gameplay.snowballKnockback;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceListener;
import org.bukkit.entity.Entity;
import org.bukkit.entity.EntityType;
import org.bukkit.entity.LivingEntity;
import org.bukkit.event.EventHandler;
import org.bukkit.event.entity.ProjectileHitEvent;

class SnowballKnockbackListener extends ApplianceListener<SnowballKnockback> {
    @EventHandler
    public void onSnowballHit(ProjectileHitEvent event) {
        if(event.getHitEntity() == null) return;
        if(!event.getEntityType().equals(EntityType.SNOWBALL)) return;
        if(!(event.getHitEntity() instanceof LivingEntity hitEntity)) return;

        Entity snowball = event.getEntity();
        this.getAppliance().dealSnowballKnockback(hitEntity, snowball);
    }
}
