package eu.mhsl.craftattack.spawn.craftattack.appliances.metaGameplay.packSelect;

import eu.mhsl.craftattack.spawn.core.Main;
import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.CategorizedSetting;
import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.SettingCategory;
import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.datatypes.ActionSetting;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.inventory.ClickType;

public class PackSelectSetting extends ActionSetting implements CategorizedSetting {
    @Override
    protected String title() {
        return "Texturepacks";
    }

    @Override
    protected String description() {
        return "Stelle dein persönliches Texturepack aus einer kuratierten Auswahl zusammen und gestalte deine Spielerfahrung individuell.";
    }

    @Override
    protected Material icon() {
        return Material.PAINTING;
    }

    @Override
    protected void onAction(Player player, ClickType clickType) {
        Main.instance().getAppliance(PackSelect.class).openPackInventory(player);
    }

    @Override
    public SettingCategory category() {
        return SettingCategory.Visuals;
    }
}
