package eu.mhsl.craftattack.spawn.craftattack.appliances.tooling.projectStart.command;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceCommand;
import eu.mhsl.craftattack.spawn.craftattack.appliances.tooling.projectStart.ProjectStart;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

public class ProjectStartCommand extends ApplianceCommand<ProjectStart> {
    public ProjectStartCommand() {
        super("projectStart");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        if(!this.getAppliance().isEnabled()) {
            sender.sendMessage(Component.text("Countdown not enabled or executed once before!").color(NamedTextColor.RED));
            return;
        }

        if(this.getAppliance().getCountdown().isRunning()) {
            sender.sendMessage(Component.text("Countdown already running!").color(NamedTextColor.RED));
            return;
        }

        this.getAppliance().startCountdown();
    }
}
