package eu.mhsl.craftattack.spawn.varo.appliances.metaGameplay.fightDetector;

import eu.mhsl.craftattack.spawn.core.Main;
import eu.mhsl.craftattack.spawn.core.appliance.ApplianceListener;
import eu.mhsl.craftattack.spawn.varo.appliances.metaGameplay.teams.Teams;
import eu.mhsl.craftattack.spawn.varo.appliances.metaGameplay.teams.VaroTeam;
import io.papermc.paper.event.player.PrePlayerAttackEntityEvent;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;

class FightOnInteractionListener extends ApplianceListener<FightDetector> {
    @EventHandler
    public void onAttack(PrePlayerAttackEntityEvent event) {
        if(!event.willAttack()) return;

        if(event.getAttacked() instanceof Player attackedPlayer) {
            Teams teamsAppliance = Main.instance().getAppliance(Teams.class);
            VaroTeam attacker = teamsAppliance.getTeamFromPlayer(event.getPlayer().getUniqueId());
            VaroTeam attacked = teamsAppliance.getTeamFromPlayer(event.getAttacked().getUniqueId());
            if(attacked == null) return;
            if(attacker.equals(attacked)) return;

            this.getAppliance().setInFight(event.getPlayer());
            this.getAppliance().setInFight(attackedPlayer);
        }
    }
}
