package eu.mhsl.craftattack.spawn.varo.appliances.metaGameplay.forbiddenItems;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceListener;
import net.kyori.adventure.text.Component;
import org.bukkit.event.EventHandler;
import org.bukkit.event.entity.EntitySpawnEvent;
import org.bukkit.event.player.PlayerInteractEntityEvent;

class ForbiddenEntityListener extends ApplianceListener<ForbiddenItems> {
    @EventHandler
    public void onEntitySpawn(EntitySpawnEvent event) {
        if(!this.getAppliance().forbiddenEntities.isForbidden(event.getEntity())) return;
        event.setCancelled(true);
    }

    @EventHandler
    public void onEntityInteraction(PlayerInteractEntityEvent event) {
        if(!this.getAppliance().forbiddenEntities.isForbidden(event.getRightClicked())) return;
        event.setCancelled(true);

        event.getPlayer().sendActionBar(
            Component.text()
                .append(Component.text(event.getRightClicked().getName()))
                .append(Component.text(" ist eine verbotene Entität!"))
        );
    }
}
