package eu.mhsl.craftattack.spawn.varo.appliances.metaGameplay.shrinkingBorder;

import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.CategorizedSetting;
import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.SettingCategory;
import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.Settings;
import eu.mhsl.craftattack.spawn.common.appliances.metaGameplay.settings.datatypes.IntegerSetting;
import org.bukkit.Material;

import java.util.List;

public class ShrinkingBorderSetting extends IntegerSetting implements CategorizedSetting {
    public ShrinkingBorderSetting() {
        super(
            Settings.Key.BorderWarning,
            List.of(0, 1, 2, 3)
        );
    }

    @Override
    public SettingCategory category() {
        return SettingCategory.Gameplay;
    }

    @Override
    protected String title() {
        return "Warnung vor der Worldborder";
    }

    @Override
    protected String description() {
        return "Warnt vor der Worldborder";
    }

    @Override
    protected Material icon() {
        return Material.BARRIER;
    }

    @Override
    protected Integer defaultValue() {
        return 2;
    }
}
