package eu.mhsl.craftattack.spawn.varo.appliances.metaGameplay.varoDeath;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceListener;
import eu.mhsl.craftattack.spawn.core.util.IteratorUtil;

import net.kyori.adventure.sound.Sound;
import org.bukkit.event.EventHandler;
import org.bukkit.event.entity.PlayerDeathEvent;

class PlayerDeathListener extends ApplianceListener<VaroDeath> {
    @EventHandler
    public void onDeath(PlayerDeathEvent event) {
        event.setKeepInventory(false);
        this.getAppliance().registerPlayerDeath(event.getPlayer(), event.deathMessage());

        Sound sound = Sound.sound(builder -> {
            builder.pitch(1f);
            builder.volume(1f);
            builder.source(Sound.Source.MASTER);
            builder.type(org.bukkit.Sound.ENTITY_LIGHTNING_BOLT_THUNDER);
        });
        IteratorUtil.onlinePlayers(player -> player.playSound(sound));
    }
}
