package eu.mhsl.craftattack.spawn.varo.appliances.tooling.projectStart.command;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceCommand;
import eu.mhsl.craftattack.spawn.varo.appliances.tooling.projectStart.ProjectStart;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

public class ProjectStartCancelCommand extends ApplianceCommand<ProjectStart> {
    public ProjectStartCancelCommand() {
        super("projectStartCancel");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        if(this.getAppliance().getCountdown().isRunning()) {
            this.getAppliance().cancelCountdown();
            sender.sendMessage(Component.text("Countdown cancelled successfully!").color(NamedTextColor.GREEN));
        } else {
            sender.sendMessage(Component.text("Countdown is not running!").color(NamedTextColor.RED));
        }
    }
}
