package eu.mhsl.craftattack.spawn.varo.appliances.tooling.projectStart.listener;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceListener;
import eu.mhsl.craftattack.spawn.varo.appliances.tooling.projectStart.ProjectStart;
import org.bukkit.advancement.Advancement;
import org.bukkit.advancement.AdvancementProgress;
import org.bukkit.event.EventHandler;
import org.bukkit.event.player.PlayerAdvancementDoneEvent;

public class NoAdvancementsListener extends ApplianceListener<ProjectStart> {
    @EventHandler
    public void onAdvancement(PlayerAdvancementDoneEvent event) {
        if(!this.getAppliance().isEnabled()) return;
        event.message(null);

        Advancement advancement = event.getAdvancement();
        AdvancementProgress progress = event.getPlayer().getAdvancementProgress(advancement);
        for(String criteria : progress.getAwardedCriteria()) {
            progress.revokeCriteria(criteria);
        }
    }
}
