package eu.mhsl.craftattack.spawn.varo.appliances.tooling.projectStart.listener;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceListener;
import eu.mhsl.craftattack.spawn.varo.appliances.tooling.projectStart.ProjectStart;
import io.papermc.paper.event.player.PrePlayerAttackEntityEvent;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.entity.EntityDamageEvent;
import org.bukkit.event.entity.FoodLevelChangeEvent;

public class PlayerInvincibleListener extends ApplianceListener<ProjectStart> {
    @EventHandler
    public void onDamage(EntityDamageEvent event) {
        if(!(event.getEntity() instanceof Player)) return;
        if(this.getAppliance().isEnabled()) event.setCancelled(true);
    }

    @EventHandler
    public void onHunger(FoodLevelChangeEvent event) {
        if(this.getAppliance().isEnabled()) event.setCancelled(true);
    }

    @EventHandler
    public void onHit(PrePlayerAttackEntityEvent event) {
        if(this.getAppliance().isEnabled()) event.setCancelled(true);
    }
}
